import Button from 'primevue/button';
const __VLS_props = withDefaults(defineProps(), { severity: 'primary', type: 'button', disabled: false, loading: false });
const __VLS_emit = defineEmits();
const __VLS_defaults = { severity: 'primary', type: 'button', disabled: false, loading: false };
const __VLS_ctx = {
    ...{},
    ...{},
    ...{},
    ...{},
    ...{},
};
let __VLS_components;
let __VLS_intrinsics;
let __VLS_directives;
/** @type {__VLS_StyleScopedClasses['ks-button']} */ ;
/** @type {__VLS_StyleScopedClasses['ks-button']} */ ;
let __VLS_0;
/** @ts-ignore @type { | typeof __VLS_components.Button | typeof __VLS_components.Button} */
Button;
// @ts-ignore
const __VLS_1 = __VLS_asFunctionalComponent1(__VLS_0, new __VLS_0({
    ...{ 'onClick': {} },
    ...{ class: "ks-button" },
    label: (__VLS_ctx.label),
    severity: (__VLS_ctx.severity),
    type: (__VLS_ctx.type),
    disabled: (__VLS_ctx.disabled),
    loading: (__VLS_ctx.loading),
}));
const __VLS_2 = __VLS_1({
    ...{ 'onClick': {} },
    ...{ class: "ks-button" },
    label: (__VLS_ctx.label),
    severity: (__VLS_ctx.severity),
    type: (__VLS_ctx.type),
    disabled: (__VLS_ctx.disabled),
    loading: (__VLS_ctx.loading),
}, ...__VLS_functionalComponentArgsRest(__VLS_1));
let __VLS_5;
const __VLS_6 = {
    /** @type {typeof __VLS_5.click} */
    onClick: (...[$event]) => {
        return (__VLS_ctx.$emit('activate', $event));
        // @ts-ignore
        [label, severity, type, disabled, loading, $emit,];
    },
};
var __VLS_7;
/** @type {__VLS_StyleScopedClasses['ks-button']} */ ;
const { default: __VLS_8 } = __VLS_3.slots;
var __VLS_9 = {};
// @ts-ignore
[];
var __VLS_3;
var __VLS_4;
// @ts-ignore
var __VLS_10 = __VLS_9;
// @ts-ignore
[];
const __VLS_base = (await import('vue')).defineComponent({
    __typeEmits: {},
    __typeProps: {},
    props: {},
});
const __VLS_export = {};
export default {};
